%Function to automatically create .exe files for the SIVA demos

clear; close all;
%DestnDir = 'D:\umesh\Umesh_temp\DSPExe\';
%SourceDir = 'D:\dsp\DSP_demos\DSP_demos_3\';
%SourceDir = 'C:\umesh\umesh_temp\dsp_demos_3\';
%[srcFile srcDir] = uigetfile([SourceDir '*.m'], 'Please select the main file of the GUI');

%Find all files that have a _gui.m in them. This is my main file for SIVA
%guis
SourceDir = pwd;
tmpInd = findstr(SourceDir,'\');
curDir = SourceDir(tmpInd(end)+1:end);
exeDir = [curDir '\' curDir '_exe'];

tmpNames = fuf([SourceDir '\*gui.m'],1,'detail');


for i = 1:length(tmpNames)
    
    fprintf(['Working on ' num2str(i) ' of ' num2str(length(tmpNames)) '\n']);
    useName = tmpNames{i};
    tmpInd = findstr(useName,'\');
    tmpInd = tmpInd(end);
    
    srcDir = useName(1:tmpInd);
    srcFile = useName(tmpInd+1:end);
    
    DestnDir = strrep(srcDir,curDir, exeDir);    
    DestnDir(end) = []; %mcc does not like \ at end
    %Make the destination directory
    mkdir (DestnDir);
    
    % -a includes all files
    % -d forces output to a particular directory
    temp = ['mcc -m ' srcFile ' -a ' srcDir ' -d ' DestnDir];
    eval(temp);
    
end ; %for i = 1:length(tmpNames)
