function output = firqnt_trunc ( input ,bits)
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
%function to quantize the input "input" (range -1 to +1) by
%firqnt_truncating to "bits" number of bits
%using 2's complement

%--------------------------
%programmer - Umesh Rajashekar
%Date - Jul 17,1999
%--------------------------

min = -1;
max = +1;
step_size = 2 / ( 2 ^ bits);

n_levels = 2^bits; 			%number of levels
levels = linspace (-1,1, n_levels +1 );%find the levels 
levels(end) = [];	%discard last level since 1 cannot be a valid level

index  = floor( (input - min)/ step_size ) + 1;

output = levels(index);