function[win] =  set_stftex_win
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
len_hndl =  findobj(gcbf , 'Tag' , 'slider_len');
win_len = get (len_hndl , 'Userdata');

type_hndl =  findobj(gcbf , 'Tag' , 'pop_win');
names = get ( type_hndl , 'String');
val =  get ( type_hndl , 'Value');

win_type = names{val};

switch ( win_type )
case('Rectangular'),
   win = boxcar(win_len );
   
case('Hamming')
   win = hamming(win_len );
   
case('Blackman')
   win = blackman(win_len  );
   
end


%show_stftex_stft;

   


