function fig = median2d_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load median2d_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'MinColormap',1, ...
	'Name','MEDIAN median2d_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[12 53 446 184], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[97.5 107.25 113.25 20.25], ...
	'String','Median filters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[29.25 19.5 76.5 74.25], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[132 21 76.5 73.5], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''select_nle_image'');', ...
	'ListboxTop',0, ...
	'Position',[35.25 64.5 62.25 17.25], ...
	'String','Select image', ...
	'Tag','push_select', ...
	'UserData',mat2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[36 39.75 61.5 11.25], ...
	'String','Salt & Pepper %', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''add_2d_noise'');', ...
	'ListboxTop',0, ...
	'Max',100, ...
	'Position',[35.25 24 53.25 12], ...
	'Style','slider', ...
	'Tag','slider_noise', ...
	'UserData',mat3, ...
	'Value',3);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[90.75 22.5 12 14.25], ...
	'String','3', ...
	'Style','text', ...
	'Tag','static_noise');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[135.75 76.5 66.75 12.75], ...
	'String','Filter length', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_len'');', ...
	'ListboxTop',0, ...
	'Max',10, ...
	'Min',1, ...
	'Position',[137.25 61.5 52.5 11.25], ...
	'SliderStep',[0.09 0.1], ...
	'Style','slider', ...
	'Tag','slider_len', ...
	'UserData',3, ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[192 60.75 13.5 12.75], ...
	'String','3', ...
	'Style','text', ...
	'Tag','static_len');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''my_2d_filter'');', ...
	'ListboxTop',0, ...
	'Position',[139.5 26.25 56.25 17.25], ...
	'String','Filter', ...
	'Tag','push_filter', ...
	'UserData',mat4);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[231.75 20.25 76.5 73.5], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear; close all;', ...
	'ListboxTop',0, ...
	'Position',[240.75 27 62.25 18.75], ...
	'String','Quit', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''select_filter'');', ...
	'ListboxTop',0, ...
	'Position',[242.25 66.75 60 15.75], ...
	'String',mat5, ...
	'Style','popupmenu', ...
	'Tag','pop_type', ...
	'UserData','Median', ...
	'Value',1);
if nargout > 0, fig = h0; end
