function [] = show_recon_img(img)
%========================================================================
%show_recon_img Display an image with 8-bit graymap.
%	show_recon_img(IMG) displays IMG, which can be of any size, with
%	the standard 8-bit graylevel map.  The axes are made equal so
%	the image has the correct aspect ratio.
%
%	See also SHOW_GAMMA, SHOW_STRETCH.

%	Modified T Kite February 1997

map = 0:1/255:1;
map = [map', map', map'];
colormap(map)
image(img);  axis off;  axis square
