function fig = fsampl_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load fsampl_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','FREQ SAMPLING fsampl_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[62 41 667 225], ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[20.25 29.25 93 87], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[143.25 31.5 137.25 83.25], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval( ''set_fsampl_type'');', ...
	'ListboxTop',0, ...
	'Position',[28.5 80.25 76.5 15], ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','fil_type', ...
	'UserData','low', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_fsampl_f1'');', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[179.25 92.25 68.25 15], ...
	'Style','slider', ...
	'Tag','Slider_f1', ...
	'UserData',0.14, ...
	'Value',0.1486);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_fsampl_f3'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[179.25 53.25 68.25 15], ...
	'Style','slider', ...
	'Tag','Slider_f3', ...
	'UserData',0.47, ...
	'Value',0.4703500000000001);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_fsampl_f2'');', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[180 71.25 68.25 15], ...
	'Style','slider', ...
	'Tag','Slider_f2', ...
	'UserData',0.28, ...
	'Value',0.28621);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval( ''set_fsampl_f4'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[178.5 34.5 68.25 15], ...
	'Style','slider', ...
	'Tag','Slider_f4', ...
	'UserData',0.7, ...
	'Value',0.7010200000000001);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[255 89.25 16.5 14.25], ...
	'String','0.14', ...
	'Style','text', ...
	'Tag','Static_f1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[253.5 69.75 18 12.75], ...
	'String','0.28', ...
	'Style','text', ...
	'Tag','Static_f2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[252.75 50.25 18.75 14.25], ...
	'String','0.47', ...
	'Style','text', ...
	'Tag','Static_f3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[253.5 33.75 18.75 14.25], ...
	'String','0.7', ...
	'Style','text', ...
	'Tag','Static_f4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[153 93 24 13.5], ...
	'String','F_1', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[152.25 69.75 24 13.5], ...
	'String','F_2', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[150.75 49.5 24 13.5], ...
	'String','F_3', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[152.25 33.75 24 13.5], ...
	'String','F_4', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[18.75 119.25 92.25 12.75], ...
	'String','Filter Parameters', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[42.75 96.75 45.75 10.5], ...
	'String','Type', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[153 118.5 114 12.75], ...
	'String','Cut off frequencies', ...
	'Style','text', ...
	'Tag','StaticText8');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[29.25 57 45 12.75], ...
	'String','Order - M', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[145.5 134.25 168 21.75], ...
	'String','Frequency Sampling', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[291.75 28.5 84.75 84.75], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear; close all;', ...
	'ListboxTop',0, ...
	'Position',[297 41.25 69 15.75], ...
	'String','QUIT DEMO', ...
	'Tag','push_quit', ...
	'UserData',mat3);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''disp_fsampl_mag'');', ...
	'ListboxTop',0, ...
	'Position',[296.25 87.75 75.75 16.5], ...
	'String','Display Magnitude', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[385.5 30.75 90.75 81.75], ...
	'Style','frame', ...
	'Tag','Frame4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''get_fsampl_signal'');', ...
	'ListboxTop',0, ...
	'Position',[395.25 93.75 74.25 14.25], ...
	'String','Select signal', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''play_fsampl_org'');', ...
	'ListboxTop',0, ...
	'Position',[394.5 74.25 74.25 14.25], ...
	'String','Play org', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''play_fsampl_mod'');', ...
	'ListboxTop',0, ...
	'Position',[395.25 56.25 74.25 14.25], ...
	'String','Play mod', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''freq_fsampl_resp'');', ...
	'ListboxTop',0, ...
	'Position',[394.5 34.5 74.25 14.25], ...
	'String','Freq resp', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[107.25 6.75 274.5 16.5], ...
	'String','Source- wolf.wav; 3.8114 secs ;fs= 11025 Hz', ...
	'Style','text', ...
	'Tag','txt_info');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_fsampl_order'');', ...
	'ListboxTop',0, ...
	'Max',100, ...
	'Min',2, ...
	'Position',[26.25 36.75 54.75 13.5], ...
	'Style','slider', ...
	'Tag','slider_order', ...
	'UserData',3, ...
	'Value',3.96);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[86.25 37.5 21 12], ...
	'String','3', ...
	'Style','text', ...
	'Tag','static_order');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''disp_fsampl_mag'');', ...
	'ListboxTop',0, ...
	'Position',[297.75 65.25 74.25 14.25], ...
	'String','Unwrap phase', ...
	'Style','radiobutton', ...
	'Tag','check_phase');
if nargout > 0, fig = h0; end
