function disp_firwind_mag
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
[num,success] = make_fwind_filter;

%get handle of check box for phase
check_hndl = findobj(gcbf,'Tag','check_phase');
my_unwrap = get(check_hndl,'Value');

if (success == 1),
   figure(2);
   [f,w] = freqz(num,1,512,2);
   subplot(2,1,1),plot (w, abs(f));
   zoom on;
   grid on;

   %  ylabel('abs(H)');
   
   if (my_unwrap == 1)
      subplot(2,1,2),plot (w, unwrap(angle(f)));
   else
      subplot(2,1,2),plot (w, (angle(f)));
   end
   zoom on;
   grid on;
   xlabel('Digital frequency');
   ylabel('phase(H)');
   
end

disp_firwind_zeros;