function [sig, sig_shift, time] = make_sine(sig_data)

%Function to create reference signal and a shifted signal
fig_handles = guihandles;


common_data = get(fig_handles.push_reset,'UserData');
N = common_data.N;

k = sig_data.k;
shift = sig_data.shift;
initial_shift = sig_data.init_time  ;
time = 0:1:N-1;
time = time;

sig = sin(2*pi*k/N*(time));
sig_shift = sin(2*pi*k/N*(time-shift - initial_shift));

