function sine_add_animator (action)

%if (nargin < 2) start_X= [];

switch(action)
    case 'start'
        fig_handles = guihandles(gcbf);
        set(gcbf,'WindowButtonMotionFcn','sine_add_animator move');
        set(gcbf,'WindowButtonUpFcn','sine_add_animator stop');
        currPt = get(gca,'CurrentPoint');
        start_X  = currPt(1,1);
%        title(num2str(start_X));
        sig_data = get(gca,'UserData');
        sig_data.start_X = start_X;
        set(gca,'UserData',sig_data);
        
    case 'move'
          fig_handles = guihandles;
          

          currPt = get(gca,'CurrentPoint');
          end_X = currPt(1,1);

          sig_data = get(gca,'UserData');
          start_X = sig_data.start_X;
          shift = end_X - start_X;
         
          k = sig_data.k;
          sig_data.shift = shift; 

          set(gca,'UserData',sig_data);
          
          if (strcmp(get(gca,'Tag'),'axes_sig3'))
              sig1_data = get(fig_handles.axes_sig1,'UserData');
              sig1_data.shift = shift ;
              set(fig_handles.axes_sig1,'UserData',sig1_data);

              sig2_data = get(fig_handles.axes_sig2,'UserData');
              sig2_data.shift =   shift ;
              set(fig_handles.axes_sig2,'UserData',sig2_data);
          end
          
          update_all_time_plots;
          
         
     case 'stop'
         
        set(gcbf,'WindowButtonMotionFcn','');
        set(gcbf,'WindowButtonUpFcn','');

         
         fig_handles = guihandles(gcbf) ;
         currPt = get(gca,'CurrentPoint');
         end_X  = currPt(1,1);
         sig_data = get(gca,'UserData');
         total_shift = end_X - sig_data.start_X;
         sig_data.init_time = sig_data.init_time + total_shift;
         sig_data.shift = 0;
         set(gca,'UserData',sig_data);
        
        if (strcmp(get(gca,'Tag'),'axes_sig3'))
              sig1_data = get(fig_handles.axes_sig1,'UserData');
              sig1_data.init_time = sig1_data.init_time + total_shift  ;
              sig1_data.shift = 0 ;
              set(fig_handles.axes_sig1,'UserData',sig1_data);

              sig2_data = get(fig_handles.axes_sig2,'UserData');
              sig2_data.init_time =   sig2_data.init_time + total_shift;
              sig2_data.shift = 0;
              set(fig_handles.axes_sig2,'UserData',sig2_data);
        end
   
        
        update_all_time_plots;

        
end



