function fig = s1_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load s1_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','SIGNALS s1_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[13 53 500 225], ...
	'Resize','off', ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[28.5 138.75 281.25 16.5], ...
	'String','Continuous,Discrete time and Digital signals', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[17.25 19.5 84 93], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[120.75 19.5 84 93], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[228 19.5 84 93], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''set_s1_sig'');', ...
	'ListboxTop',0, ...
	'Position',[23.25 87.75 71.25 15.75], ...
	'String',mat2, ...
	'Style','popupmenu', ...
	'Tag','pop_sig_type', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[21.75 51.75 66.75 15], ...
	'String','Enter frequency', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[73.5 39 17.25 12.75], ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[73.5 24 17.25 10.5], ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[17.25 113.25 83.25 15], ...
	'String','Signal Params', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[120.75 114 82.5 16.5], ...
	'String','Processing params', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[127.5 85.5 69.75 16.5], ...
	'String','Sampling frequency', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[176.25 72.75 17.25 12.75], ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[128.25 45.75 69.75 15], ...
	'String','Bits per sample', ...
	'Style','text', ...
	'Tag','StaticText7');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''set_s1_bps'');', ...
	'ListboxTop',0, ...
	'Position',[136.5 36 49.5 13.5], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','pop_bps', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''show_disp'');', ...
	'ListboxTop',0, ...
	'Position',[232.5 76.5 72 15.75], ...
	'String','Display', ...
	'Tag','push_disp');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''play_org'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[234.75 67.5 72 15.75], ...
	'String','Play original', ...
	'Tag','push_org', ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''play_proc'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Position',[235.5 46.5 72 15.75], ...
	'String','Play processed', ...
	'Tag','push_proc', ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear;close all;', ...
	'ListboxTop',0, ...
	'Position',[232.5 38.25 72 15.75], ...
	'String','Quit demo', ...
	'Tag','push_quit', ...
	'UserData',mat4);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_freq1'');', ...
	'ListboxTop',0, ...
	'Max',20, ...
	'Min',1, ...
	'Position',[22.5 39.75 49.5 11.25], ...
	'SliderStep',[0.05 0.1], ...
	'String','4', ...
	'Style','slider', ...
	'Tag','edit_freq1', ...
	'Value',10.5);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[75 39.75 24 12], ...
	'String','10Hz', ...
	'Style','text', ...
	'Tag','st_f1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_s1_fs'');', ...
	'ListboxTop',0, ...
	'Max',100, ...
	'Min',1, ...
	'Position',[126.75 75 51 11.25], ...
	'String','1', ...
	'Style','slider', ...
	'Tag','edit_fs', ...
	'Value',9.613000000000001);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[178.5 75 24 11.25], ...
	'String','9Hz', ...
	'Style','text', ...
	'Tag','st_fs');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval (''set_freq2'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Max',100, ...
	'Min',5, ...
	'Position',[22.5 26.25 51 10.5], ...
	'Style','slider', ...
	'Tag','edit_freq2', ...
	'Value',6.9, ...
	'Visible','off');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[75.75 25.5 21.75 12.75], ...
	'String','Hz', ...
	'Style','text', ...
	'Tag','st_f2', ...
	'Visible','off');
if nargout > 0, fig = h0; end
