function set_s1_fs
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
fs_hndl = findobj (gcbf , 'Tag' ,'edit_fs');

data_hndl = findobj(gcbf , 'Tag' , 'push_quit');
sig_info = get (data_hndl ,'Userdata');

fs= floor(get (fs_hndl , 'Value') );
st_hndl = findobj(gcbf,'Tag','st_fs');
set(st_hndl,'String',[num2str(fs) 'Hz']);

if ( isempty (fs) | ( fs <=0 ) )
   msgbox ('Please enter valid fs');
   fs =1 ;
   set (fs_hndl , 'String' , num2str(1) );
end


sig_info.fs = fs;
set (data_hndl , 'Userdata' , sig_info);
show_disp;




