function show_disp
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
data_hndl = findobj(gcbf , 'Tag' , 'push_quit');
sig_info = get (data_hndl ,'Userdata');


%f1 = sig_info.freq1;
%T = 1/f1;

[org_sig ,cont_time] = work_org;
%cont_time = 0:1/analog_freq :10*T ;
%cont_time = time;
c_len = length (cont_time);

[dis_time_sig ,dig_sig, fs ] = work_proc;
dis_time = 0:1/fs :1 ;
d_len = length (dis_time);

figure(2);
subplot (3,1,1) ,plot ( cont_time , org_sig(1:c_len));
title('ANALOG');

subplot (3,1,2),plot ( cont_time , org_sig(1:c_len), '--');
hold on;
plot ( dis_time , dis_time_sig(1:d_len) , 'ro' );
plot ( dis_time , dis_time_sig(1:d_len) , '--k' );
title('DISCRETE TIME');
hold off;


subplot (3,1,3),plot ( cont_time , org_sig(1:c_len), '--');
hold on;
plot ( dis_time , dig_sig(1:d_len) , 'ro' );
plot ( dis_time , dig_sig(1:d_len) , '--k' );
title('DIGITAL');
hold off;
xlabel('time in sec');
zoom on;


