function fig = firqnt_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load firqnt_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','FIR QNT firqnt_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[13 85 557 205], ...
	'Resize','off', ...
	'Tag','Fig1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[9.75 18 84 92.25], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[115.5 20.25 81 92.25], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','eval(''set_firqnt_win'');', ...
	'Position',[205.5 57 66.75 53.25], ...
	'String',mat2, ...
	'Style','listbox', ...
	'Tag','list_firqnt_win', ...
	'UserData','rectwin', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[293.25 19.5 88.5 90.75], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''set_firqnt_type'');', ...
	'ListboxTop',0, ...
	'Position',[18.75 68.25 69.75 10.5], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','pop_type', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[12.75 35.25 48 12.75], ...
	'String','Order', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_firqnt_f1'');', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[118.5 75.75 50.25 13.5], ...
	'Style','slider', ...
	'Tag','slid_f1', ...
	'UserData',0.42, ...
	'Value',0.4238200000000001);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_firqnt_f2'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Min',0.01, ...
	'Position',[119.25 39 48.75 12.75], ...
	'Style','slider', ...
	'Tag','slid_f2', ...
	'Value',0.6030099999999999);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[170.25 74.25 18 14.25], ...
	'String','0.42', ...
	'Style','text', ...
	'Tag','txt_f1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[171 39 19.5 13.5], ...
	'String','0.6', ...
	'Style','text', ...
	'Tag','txt_f2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''disp_fir_mag'');', ...
	'ListboxTop',0, ...
	'Position',[300.75 80.25 75.75 15], ...
	'String','View Magnitude', ...
	'Tag','push_mag');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''disp_fir_zeros'');', ...
	'ListboxTop',0, ...
	'Position',[301.5 51 73.5 13.5], ...
	'String','View Zeros', ...
	'Tag','push_zero');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[11.25 111.75 82.5 12], ...
	'String','Filter Details', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[15.75 86.25 70.5 9.75], ...
	'String','Type', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[122.25 89.25 43.5 12], ...
	'String','Freq1', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[120 52.5 43.5 12], ...
	'String','Freq2', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[113.25 123.75 132.75 21], ...
	'String','FIR Quantization', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear;close all;', ...
	'ListboxTop',0, ...
	'Position',[304.5 27.75 70.5 14.25], ...
	'String','QUIT DEMO', ...
	'Tag','Pushbutton1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''set_firqnt_qnt'');', ...
	'ListboxTop',0, ...
	'Position',[206.25 21 69.75 13.5], ...
	'String',mat4, ...
	'Style','popupmenu', ...
	'Tag','Pop_qnt', ...
	'UserData',8, ...
	'Value',2);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[204.75 36.75 72.75 14.25], ...
	'String','Quatize coefficients', ...
	'Style','text', ...
	'Tag','StaticText4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_firqnt_order'');', ...
	'ListboxTop',0, ...
	'Max',25, ...
	'Min',3, ...
	'Position',[14.25 24.75 58.5 11.25], ...
	'SliderStep',[0.05 0.1], ...
	'Style','slider', ...
	'Tag','Slider_order', ...
	'UserData',3, ...
	'Value',3);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Max',25, ...
	'Min',1, ...
	'Position',[73.5 23.25 15.75 14.25], ...
	'String','3', ...
	'Style','text', ...
	'Tag','Static_order', ...
	'Value',10);
if nargout > 0, fig = h0; end
