function set_ic_list(K)
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
%function to set the IC list box
list_hndl = findobj(gcbf,'Tag','list_ic');

%get previous string
b_string = get(list_hndl,'String');
prev_K = size(b_string,1);	%check prev value of K

if prev_K == K
   return;
   
elseif  prev_K < K	%need to add more strings
   
   val = get(list_hndl,'Value');%highlighted one
   if ( val == 0 )
      set(list_hndl,'Value',1);
   end

      for i=prev_K+1:K,
         temp_str = cellstr(['y(-' num2str(i) ')=0']);
         b_string = [b_string;temp_str];
      end

   
else % ( prev_K > K)	%need to remove strings
   val = get(list_hndl,'Value');%highlighted one
   if ( val > K )
      set(list_hndl,'Value',K);
   end
   
   b_string(K+1 : prev_K ,:) =[];   
   
   
end

set(list_hndl,'String',b_string);
compute_it;