function fig = fwind_gui()
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

load fwind_gui

h0 = figure('Color',[0.8 0.8 0.8], ...
	'Colormap',mat0, ...
	'HandleVisibility','callback', ...
	'Name','FIR WINDOW fwind_gui', ...
	'NumberTitle','off', ...
	'PointerShapeCData',mat1, ...
	'Position',[15 23 617 233], ...
	'Tag','static_len');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[9 33 84 92.25], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[114.75 32.25 81 92.25], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','eval(''set_fwind_win'');', ...
	'Position',[205.5 33.75 65.25 91.5], ...
	'String',mat2, ...
	'Style','listbox', ...
	'Tag','list_win', ...
	'UserData','boxcar', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[274.5 35.25 88.5 89.25], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''set_fwind_type'');', ...
	'ListboxTop',0, ...
	'Position',[17.25 94.5 69.75 10.5], ...
	'String',mat3, ...
	'Style','popupmenu', ...
	'Tag','pop_type', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[23.25 55.5 48 12.75], ...
	'String','M', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_fwind_f1'');', ...
	'ListboxTop',0, ...
	'Max',0.99, ...
	'Min',0.01, ...
	'Position',[118.5 90 50.25 13.5], ...
	'Style','slider', ...
	'Tag','slid_f1', ...
	'UserData',0.42, ...
	'Value',0.4294399999999996);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_fwind_f2'');', ...
	'Enable','off', ...
	'ListboxTop',0, ...
	'Max',0.99, ...
	'Min',0.01, ...
	'Position',[117.75 53.25 48.75 12.75], ...
	'Style','slider', ...
	'Tag','slid_f2', ...
	'Value',0.6714999999999998);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[172.5 90 18 14.25], ...
	'String','0.42', ...
	'Style','text', ...
	'Tag','txt_f1');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[172.5 53.25 19.5 13.5], ...
	'String','0.67', ...
	'Style','text', ...
	'Tag','txt_f2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''disp_firwind_mag'');', ...
	'ListboxTop',0, ...
	'Position',[284.25 103.5 75.75 14.25], ...
	'String','Mag and phase', ...
	'Tag','push_mag');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''disp_firwind_zeros'');', ...
	'ListboxTop',0, ...
	'Position',[285 61.5 73.5 13.5], ...
	'String','View Zeros', ...
	'Tag','push_zero');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'ListboxTop',0, ...
	'Position',[11.25 126.75 82.5 12], ...
	'String','Filter Details', ...
	'Style','text', ...
	'Tag','StaticText3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[15.75 109.5 70.5 9.75], ...
	'String','Type', ...
	'Style','text', ...
	'Tag','StaticText5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[121.5 105.75 43.5 12], ...
	'String','Freq1', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[122.25 69 43.5 12], ...
	'String','Freq2', ...
	'Style','text', ...
	'Tag','StaticText6');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',14, ...
	'ListboxTop',0, ...
	'Position',[150.75 141.75 132.75 21], ...
	'String','Windowing', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','clear; close all;', ...
	'ListboxTop',0, ...
	'Position',[285 42 70.5 14.25], ...
	'String','QUIT DEMO', ...
	'Tag','push_quit', ...
	'UserData',mat4);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[373.5 35.25 79.5 89.25], ...
	'Style','frame', ...
	'Tag','Frame4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''get_fwind_signal'');', ...
	'ListboxTop',0, ...
	'Position',[385.5 105.75 63.75 13.5], ...
	'String','Select signal', ...
	'Tag','Pushbutton2');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval (''play_fwind_org'');', ...
	'ListboxTop',0, ...
	'Position',[385.5 84.75 63 14.25], ...
	'String','Play org', ...
	'Tag','Pushbutton3');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval(''play_fwind_mod'');', ...
	'ListboxTop',0, ...
	'Position',[386.25 65.25 62.25 13.5], ...
	'String','Play filtered', ...
	'Tag','Pushbutton4');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'Callback','eval ( ''freq_fwind_resp'');', ...
	'ListboxTop',0, ...
	'Position',[385.5 44.25 63 14.25], ...
	'String','Freq resp', ...
	'Tag','Pushbutton5');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'ListboxTop',0, ...
	'Position',[93.75 11.25 270.75 17.25], ...
	'String','Source- fading.wav; 3.1485 secs ;fs= 22050 Hz', ...
	'Style','text', ...
	'Tag','txt_info');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''set_fwind_order'');', ...
	'ListboxTop',0, ...
	'Max',100, ...
	'Min',1, ...
	'Position',[16.5 40.5 51.75 12], ...
	'Style','slider', ...
	'Tag','slider_len', ...
	'UserData',17, ...
	'Value',17.83);
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[1 1 1], ...
	'ListboxTop',0, ...
	'Position',[71.25 39.75 16.5 13.5], ...
	'String','17', ...
	'Style','text', ...
	'Tag','static_new_len');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'Callback','eval(''disp_firwind_mag'');', ...
	'ListboxTop',0, ...
	'Position',[288 83.25 14.25 12.75], ...
	'Style','checkbox', ...
	'Tag','check_phase');
h1 = uicontrol('Parent',h0, ...
	'Units','points', ...
	'ListboxTop',0, ...
	'Position',[301.5 81 54.75 15], ...
	'String','Unwrap phase', ...
	'Style','text', ...
	'Tag','StaticText4');
if nargout > 0, fig = h0; end
