function animator (action)

%if (nargin < 2) start_X= [];

switch(action)
    case 'start'
        set(gcbf,'WindowButtonMotionFcn','animator move');
        set(gcbf,'WindowButtonUpFcn','animator stop');
        currPt = get(gca,'CurrentPoint');
        start_X  = currPt(1,1);
%        title(num2str(start_X));
        guidata(gcbf,start_X);
%        set(gcbf,'WindowButtonDownFcn','animator down');
        
    case 'move'
          fig_handles = guihandles;
         
          start_X = guidata(gcbf);
          currPt = get(gca,'CurrentPoint');
          end_X = currPt(1,1);
          shift = end_X - start_X;
%          title(['Shift is ' num2str(shift)]);
         
          N = 64; k = 4;
          time = 0:1:N-1; 
          orig_sig = cos(2*pi*k/N*time);
%          orig_sig = sin(2*pi*k/N*time);
          
          axes(fig_handles.axes_sig); 
          hold on; cla;
          h =    plot(time,orig_sig,'r','LineWidth',2);

          %          hold on;
%          
          new_time = (0:1:N-1)-shift; 
          new_sig = cos(2*pi*k/N*new_time);
%          new_sig = sin(2*pi*k/N*new_time);
          h = plot(time,new_sig,'g--','LineWidth',2);
         set(h,'ButtonDownFcn', 'animator start');
%          hold off;
         
         SIG = fft(orig_sig);mag_SIG = abs(SIG);phase_SIG = angle(SIG);
         N_fft = length(SIG);
         fft_axis = linspace(-0.5,0.5,N_fft);
         
         new_SIG = fft(new_sig);new_mag_SIG = abs(new_SIG);new_phase_SIG = angle(new_SIG);
         axes(fig_handles.axes_phase);
         hold on; cla;
         shift_orig_phase = fftshift(phase_SIG .* (mag_SIG > 1));
%         plot(fft_axis, shift_orig_phase,'r','LineWidth',3);
         plot(shift_orig_phase,'r','LineWidth',3);

          shift_new_phase = fftshift(new_phase_SIG .* (new_mag_SIG > 1)) ;
%          h = stem(fft_axis, shift_new_phase,'g--','Filled');
           h = stem( shift_new_phase,'g--','Filled');
          set(h,'MarkerSize',3);
          grid on;
%          axis([-0.5 0.5 -pi pi]);

          axis([0 length(SIG) -pi pi]);
        
%          hold off;
%          axis([0 length(time) -pi pi]);
         
%         guidata(gcbf,end_X);
%         set(fig_handles.axes_sig,'ButtonDownFcn', 'animator start');
         
     case 'stop'
        set(gcbf,'WindowButtonMotionFcn','');
        set(gcbf,'WindowButtonUpFcn','');

        
end



