function update_time_sig

fig_handles = guihandles;
filepath = get(fig_handles.push_select,'UserData');
[orig_sound, fs, nbits] = wavread(filepath);


true_orig_sound= orig_sound;
%soundsc(orig_sound,fs,nbits);

sound_fft = fft(orig_sound);
sound_phase = angle(sound_fft);

my_data = guidata(fig_handles.axes_phase);
phase_shift = my_data.cur_y;


% max_shift = 2000;
 if (mod(length(orig_sound),2) == 0)
%     temp_N = (length(sound_phase)- 2)/2 ;
%     phase_shift = linspace(0,max_shift,temp_N);
     temp_phase = [0 phase_shift 0 -fliplr(phase_shift)];
 else
%     temp_N = (length(sound_phase)- 1)/2 ;
%     %phase_shift = linspace(0,max_shift,temp_N);
%     phase_shift = rand(1,temp_N);
     temp_phase = [0 phase_shift  -fliplr(phase_shift)];
 end


 %%% Decide if to use zero padding or not while doing filter
 zero_pad = get(fig_handles.radio_zeropad,'Value');
 if zero_pad
     orig_N = length(orig_sound);
     orig_sound = [orig_sound; zeros(length(orig_sound)-1,1)];
     sound_fft = fft(orig_sound);
     sound_phase = angle(sound_fft);
     sound_mag =  abs(sound_fft);
     temp_phase = interp1(temp_phase,1:0.5:length(temp_phase));
     new_phase = sound_phase - temp_phase';
     new_sig = real(ifft(sound_mag.*exp(j*new_phase)));
     new_sig = new_sig(1:orig_N);
     
 else
     new_phase = sound_phase - temp_phase';
     new_sig = real(ifft(abs(sound_fft).*exp(j*new_phase)));
 end



axes(fig_handles.axes_sig); 
hold on; cla;
plot(true_orig_sound+ 2,'r');
plot(new_sig,'g');
xlabel('Sample Number');
axis([0 length(true_orig_sound) -1 3]);

mod_sound.data = new_sig;
mod_sound.fs = fs;
mod_sound.nbits = nbits;
%guidata(fig_handles.push_mod,mod_sound);
set(fig_handles.push_mod,'UserData',mod_sound);

