function add_siva_path

msg_String = 'Add the SIVA folder to the path?';
user_option = questdlg(msg_String,'Add SIVA directories','Yes','No','Yes');

switch user_option
case 'No'
    return;    
case 'Yes'
    
    siva_dir = pwd;
    siva_recur = genpath(siva_dir);
    
    semicol_loc = findstr(siva_recur,';');
    semicol_loc = [0 semicol_loc];
    
    for i = 1: length(semicol_loc)-1
        add_dir = siva_recur(semicol_loc(i)+1 : semicol_loc(i+1)-1);
        addpath(add_dir);
    end
    
end
toc_gui

%remove path
function remove_siva_path

siva_dir = pwd;
siva_recur = genpath(siva_dir);
semicol_loc = findstr(siva_recur,';');
semicol_loc = [0 semicol_loc];

for i = 1: length(semicol_loc)-1
    add_dir = siva_recur(semicol_loc(i)+1 : semicol_loc(i+1)-1);
    rmpath(add_dir);
end